Name:           baobab
Version:        1.1.0
Release:        2
Summary:        Graphical tool to analyse directory trees 

Group:          Applications/System
License:        GPL
URL:            http://www.marzocca.net/linux/baobab.html
Source0:        http://www.marzocca.net/linux/downloads/baobab-1.1.0.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel >= 2.6
BuildRequires:  libgnomeui-devel
BuildRequires:  gnome-vfs2-devel
BuildRequires:  GConf2-devel
BuildRequires:  libgtop2-devel >= 2.10
BuildRequires:	desktop-file-utils
BuildRequires:	gettext

%description
Baobab is able to scan either specific directories or the whole filesystem, 
in order to give the user a graphical tree representation including 
each directory size or percentage in the branch.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}
desktop-file-install --vendor fedora \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
  --add-category X-Fedora \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applications/baobab.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING INSTALL README AUTHORS
%{_bindir}/%{name}
%{_datadir}/applications/*-%{name}.desktop
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1.gz


%changelog
* Sat Sep 10 2005 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 1.1.0-2
- Remove pre and post-run of update-desktop-database

* Thu Sep 08 2005 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 1.1.0-1
- Initial package
